Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.codehaus.groovy.grails.web.converters
[Java] Enum Converter.CircularReferenceBehaviour

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.Converter.CircularReferenceBehaviour

    public enum Converter.CircularReferenceBehaviour

Enum Constant Summary
`DEFAULT`
`EXCEPTION`
`IGNORE`
`INSERT_NULL`
`PATH`

Method Summary
`static java.util.List` | `allowedValues()` Defines an Object that can convert an instance and render it to the response or a supplied writer.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Enum Constant Detail

### DEFAULT

    Converter.CircularReferenceBehaviour DEFAULT

### EXCEPTION

    Converter.CircularReferenceBehaviour EXCEPTION

### IGNORE

    Converter.CircularReferenceBehaviour IGNORE

### INSERT_NULL

    Converter.CircularReferenceBehaviour INSERT_NULL

### PATH

    Converter.CircularReferenceBehaviour PATH

Method Detail

### allowedValues

    public static java.util.List allowedValues()

  Defines an Object that can convert an instance and render it to the response or a supplied writer.
  Authors:
    Siegfried Puchbauer

Groovy Documentation